Bug 1307749 - logrotate: FTBFS in rawhide
logrotate: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: logrotate (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:49 EST by Fedora Release Engineering
Modified: 2016-03-01 00:28 EST (History)
2 users (show)

See Also:
Fixed In Version: logrotate-3.9.2-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 00:28:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (13.74 KB, text/plain)
2016-02-13 16:49 EST, Fedora Release Engineering
no flags Details
root.log (86.09 KB, text/plain)
2016-02-13 16:49 EST, Fedora Release Engineering
no flags Details
state.log (629 bytes, text/plain)
2016-02-13 16:49 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:49:32 EST
Your package logrotate failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12833296

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:49:35 EST
Created attachment 1125308 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:49:36 EST
Created attachment 1125309 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:49:38 EST
Created attachment 1125310 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:53:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 11:54:23 EST
logrotate.c: In function 'postrotateSingleLog':
logrotate.c:1787:2: error: statement is indented as if it were guarded by... [-Werror=misleading-indentation]
  if (!hasErrors && log->flags & LOG_FLAG_TMPFILENAME) {
  ^~
logrotate.c:1784:5: note: ...this 'if' clause, but it is not
     if (!state->doRotate)
     ^~
logrotate.c:1824:2: error: statement is indented as if it were guarded by... [-Werror=misleading-indentation]
  if (selinux_enabled) {
  ^~
logrotate.c:1820:5: note: ...this 'if' clause, but it is not
     if (!hasErrors && rotNames->disposeName)
     ^~

New warning in GCC 6, and package builds with -Werror.  The code should either be fixed if there is a legitimate issue, or build without -Werror (or at least with -Wno-error=misleading-indentation)
Comment 6 Yaakov Selkowitz 2016-03-01 00:28:09 EST
This was fixed before branching.

Note You need to log in before you can comment on or make changes to this bug.